<?
include_once('includes/config.php');
include 'includes/functions.php';
/*----------------------------

-------- ++ simPHP ++ --------
A simple PHP hit counter.

Description:
   simPHP counts both regular and unique views on multiple
   webpages. The stats can be displayed on any PHP-enabled
   webpage. You MUST have read/write permissions on files.

Script by Ajay: ajay@scyberia.org
http://scyberia.org

----------------------------*/



/*----------CONFIG----------*/

// NOTE: If you change any config after using simphp,
// remove the old files.

// Relative URL of text file that holds hit info:
function hitscounts($var)
{
$lf_name = "hits.txt";

// Save new log file each month
//   0 = No
//   1 = Yes
$monthly = 1;

// Path to store old files:
// Default for June, 2012:
//   oldfiles/6-12.txt
$monthly_path = "oldfiles";

// Count unique hits or all hits:
//   0 = All hits
//   1 = Unique hits
//   2 = Both
$type = 2;

// Text to display
// before all hits.
$beforeAllText = "Hits: ";

// Before unique hits.
$beforeUniqueText = "Unique Visits: ";

// Display hits on this page:
//   0 = No
//   1 = Yes
$display = 1;

// Only change this if you are recording both values.
// Separator for unique and all hits display - use HTML tags! (line break is default)
$separator = "<br \>";

// Default would output:
//   Visits: 10
//   Unique Visits: 10
/*--------------------------*/






/*--------BEGIN CODE--------*/

$log_file = dirname(__FILE__) . '/' . $lf_name;

//Check for "?display=true" in URL.
if ($_GET['display'] == "true") {
	//Show include() info.
	die("<pre>&#60;? include(\"" . dirname(__FILE__) . '/' . basename(__FILE__) . "\"); ?&#62;</pre>");
} else {
	//Visit or IP.
	$uIP = $var;

	//Check for "hits.txt" file.
	if (file_exists($log_file)) {
		//Check if today is first day of month
		if (date('j') == 10) {
			//Ensure that monthly dir exists
			if (!file_exists($monthly_path)) {
				mkdir($monthly_path);
			}

			//Check if prev month log file exists already
			$prev_name = $monthly_path . '/' . date("n-Y", strtotime("-1 month"));
			if (!file_exists($prev_name)) {
				//If not, move/rename current file
				copy($log_file, $prev_name);

				//Create new $toWrite based on CONFIG
				//Write file according to CONFIG above.
				if ($type == 0) {
					$toWrite = "1";
					$info = $beforeAllText . "1";
				} else if ($type == 1) {
					$toWrite = "1;" . $uIP . ",";
					$info = $beforeUniqueText . "1";
				} else if ($type == 2) {
					$toWrite = "1;1;" . $uIP . ",";
					$info = $beforeAllText . "1" . $separator . $beforeUniqueText . "1";
				}
				goto write_logfile;
			}
		}

		//Get contents of "hits.txt" file.
		$log = file_get_contents($log_file);

		//Get type from CONFIG above.
		if ($type == 0) {

			//Create info to write to log file and info to show.
			$toWrite = intval($log) + 1;
			$info = $beforeAllText . $toWrite;

		} else if ($type == 1) {

			//Separate log file into hits and IPs.
			$hits = reset(explode(";", $log));
			$IPs = end(explode(";", $log));
			$IPArray = explode(",", $IPs);

			//Check for visitor IP in list of IPs.
			if (array_search($uIP, $IPArray, true) === false) {
				//If doesnt' exist increase hits and include IP.
				$hits = intval($hits) + 1;
				$toWrite = $hits . ";" . $IPs . $uIP . ",";
			} else {
				//Otherwise nothing.
				$toWrite = $log;
			}
			//Info to show.
			$info = $beforeUniqueText . $hits;

		} else if ($type == 2) {

			//Position of separators.
			$c1Pos = strpos($log, ";");
			$c2Pos = strrpos($log, ";");

			//Separate log file into regular hits, unique hits, and IPs.
			$pieces = explode(";", $log);
			$allHits = $pieces[0];
			$uniqueHits = $pieces[1];
			$IPs = $pieces[2];
			$IPArray = explode(",", $IPs);

			//Increase regular hits.
			$allHits = intval($allHits) + 1;

			//Search for visitor IP in list of IPs.
			if (array_search($uIP, $IPArray, true) === false) {
				//Increase ONLY unique hits and append IP.
				$uniqueHits = intval($uniqueHits) + 1;
				$toWrite = $allHits . ";" . $uniqueHits . ";" . $IPs . $uIP . ",";
			} else {
				//Else just include regular hits.
				$toWrite = $allHits . ";" . $uniqueHits . ";" . $IPs;
			}
			//Info to show.
			$info = $beforeAllText . $allHits . $separator . $beforeUniqueText . $uniqueHits;
		}
	} else {
		//If "hits.txt" doesn't exist, create it.
		$fp = fopen($log_file ,"w");
		fclose($fp);

		//Write file according to CONFIG above.
		if ($type == 0) {
			$toWrite = "1";
			$info = $beforeAllText . "1";
		} else if ($type == 1) {
			$toWrite = "1;" . $uIP . ",";
			$info = $beforeUniqueText . "1";
		} else if ($type == 2) {
			$toWrite = "1;1;" . $uIP . ",";
			$info = $beforeAllText . "1" . $separator . $beforeUniqueText . "1";
		}
	}

	write_logfile:
	//Put $toWrite in log file
	file_put_contents($log_file, $toWrite);

	//Display info if is set in CONFIG.
	if ($display == 1) {
		echo $info;
	}

}
}

function getUserIP()
{
    $client  = @$_SERVER['HTTP_CLIENT_IP'];
    $forward = @$_SERVER['HTTP_X_FORWARDED_FOR'];
    $remote  = $_SERVER['REMOTE_ADDR'];

    if(filter_var($client, FILTER_VALIDATE_IP))
    {
        $ip = $client;
    }
    elseif(filter_var($forward, FILTER_VALIDATE_IP))
    {
        $ip = $forward;
    }
    else
    {
        $ip = $remote;
    }

    return $ip;
}
?>



<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Untitled Document</title>
<script language="JavaScript" src="http://www.geoplugin.net/javascript.gp" type="text/javascript"></script>
</head>

<body>
<?php 
$user_ip = getUserIP();

echo $user_ip; // Output IP address [Ex: 177.87.193.134]

echo '<br><br>';
$data = file_get_contents('http://www.geoplugin.net/php.gp?ip='.$user_ip);
$data =(unserialize($data));
print_r($data);
echo $data['geoplugin_request'].'<br>';
echo $data['geoplugin_city'].'<br>';
echo $data['geoplugin_region'].'<br>';
echo $data['geoplugin_countryCode'].'<br>';
echo $data['geoplugin_countryName'].'<br>';
echo $data['geoplugin_continentCode'].'<br>';
echo $data['geoplugin_latitude'].'<br>';
echo $data['geoplugin_longitude'].'<br>';
echo $data['geoplugin_currencyCode'].'<br>';
echo $data['geoplugin_request'].'<br>';

echo '<br><br>';
hitscounts($user_ip);

$url = "http://" . $_SERVER['SERVER_NAME'] . $_SERVER['REQUEST_URI'];
echo '<br>'.$url;

$refurl = $_SERVER['HTTP_REFERER'] ;
echo $refurl.'<br>';
$Aurl= get_domain($refurl);
echo $Aurl;


$data = array('country_code' => $data['geoplugin_countryCode'],
					'country_name'=>$data['geoplugin_countryName'],
					'continent_Code'=>$data['geoplugin_continentCode'],
					  'city_details'=>$data['geoplugin_city'],
					  'region_details'=>$data['geoplugin_region'],
					  'Longitude'=>$data['geoplugin_longitude'],
					  'Latitude'=>$data['geoplugin_latitude'],
					  'currency_code'=>$data['geoplugin_currencyCode'],
					  'visited_url'=>$url,
					  'ip_address'=>$data['geoplugin_request'],
					  'hits'=>'1',
					  'reff_url'=>$Aurl);
		insert("site_trafic",$data);	
		echo "<h1>Add Succesfully In Data Base</h1>";
		$button='Add';
		$TABLE= 'default-tab';


function get_domain($url)
{
  $pieces = parse_url($url);
  $domain = isset($pieces['host']) ? $pieces['host'] : '';
  if (preg_match('/(?P<domain>[a-z0-9][a-z0-9\-]{1,63}\.[a-z\.]{2,6})$/i', $domain, $regs)) {
    return $regs['domain'];
  }
  return false;
}

?>
</body>
</html>


